"""
LLM基础服务
提供与大语言模型通信的基础功能
"""

import logging
from openai import OpenAI

logger = logging.getLogger("app")

# LLM客户端配置
api_key = "sk-86d4622141d74e9a8d7c38ee873c4d91"
base_url = "https://dashscope.aliyuncs.com/compatible-mode/v1"
model_name = "qwen-turbo"

def llm_client(content):
    """
    调用LLM服务进行内容生成
    
    Args:
        content: 输入提示内容
        
    Returns:
        str: LLM响应内容
    """
    client = OpenAI(
        api_key=api_key,
        base_url=base_url
    )

    try:
        completion = client.chat.completions.create(
            model=model_name,
            messages=[
                {"role": "system", "content": "You are a helpful assistant."},
                {"role": "user", "content": content}
            ]
        )
        return completion.choices[0].message.content.strip()
    except Exception as e:
        logger.error(f"LLM调用失败: {str(e)}")
        return None 